### Method

# Cogl Renderer query_drm_modifiers

#### Declaration [src]

    GArray*
    cogl_renderer_query_drm_modifiers (
      CoglRenderer* renderer,
      CoglPixelFormat format,
      CoglDrmModifierFilter filter,
      GError** error
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `CoglPixelFormat`

  The `CoglPixelFormat`.

`filter`

  Type: `CoglDrmModifierFilter`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `gpointer`

No description available.

The returned data is owned by the instance.